LX7 Puppy

Pupletek, Új puppy változatok, veruiók, ISO fájlok,
pfeco
Hozzászólások: 136
Csatlakozott: 2014.08.09. 21:24

Re: LX7 Puppy

Hozzászólás Szerző: pfeco » 2018.06.03. 12:12

Hogy lehet kernelt cserélni vagy nem a DISTRO_SPEC határozza meg ha
tartalmazza ezeket a sorokat akkor lehet:

#for the partition, path and actual files loaded, see PUPSFS and ZDRV in /etc/rc.d/PUPSTATE
DISTRO_PUPPYSFS='puppy_slipen_4.5.sfs'
DISTRO_ZDRVSFS='zdrv_slipen_4.5.sfs'
DISTRO_FDRVSFS='fdrv_slipen_4.5.sfs'
DISTRO_ADRVSFS='adrv_slipen_4.5.sfs'
DISTRO_YDRVSFS='ydrv_slipen_4.5.sfs'
DISTRO_PUPPYDATE='May 2018'

de csak akkor van értelme ha a remaster nem tartalmazza az eredeti zdrv fájlt.

ticoo1
Hozzászólások: 239
Csatlakozott: 2014.10.21. 08:58

Re: LX7 Puppy

Hozzászólás Szerző: ticoo1 » 2018.06.03. 18:07

"pfeco-nak" teljesen igaza van, a DISTRO_SPECS megadja a választ.

Egyszerű módon, csak a "huge" kerneles puppy-knál lehet cserélni a zdrv....sfs-t (persze ott is megfontoltan!). A precise sorozatnál ez nem tud működni.

Pl. Stretch 7.5 (a többi huge kerneles is ilyen)

#The version of the distro whose binary packages were used to build this distro:
DISTRO_COMPAT_VERSION='stretch'
#the kernel pet package used:
DISTRO_KERNEL_PET='Huge_Kernel'

Az LX7, a szóban forgó esetében:

#The version of the distro whose binary packages were used to build this distro:
DISTRO_COMPAT_VERSION='precise'
#the kernel pet package used:
DISTRO_KERNEL_PET='linux_kernel-3.2.32-i586-smp-nopae-up.pet' ........vagyis kötött! :!:

Más utat célszerű választani a kernelcserére. Én próbálkoztam k-xxx.sfs-sel, k-xxx.pet csomaggal precise-k esetében, elfogadta, de nem használta (eredmény: egy csomó eszközt elvesztettem). Persze lehet, hogy van egy "trükk" amivel meg lehet vele "etetni" egy zdrv-t, de nem hiszem, mert akkor már, szerintem lenne Pae-s változat is. Szóval mélyen bele kellene "kotorni". Lehet, hogy egyszerűbb egy új puppy-t "összedobni"........

Avatar
KuLuSz
Hozzászólások: 385
Csatlakozott: 2014.06.17. 21:19

Re: LX7 Puppy

Hozzászólás Szerző: KuLuSz » 2018.06.03. 21:42

A kernel benne van a fő sfs-ben , így bármit teszel mellé nem fog müködni . Azt 1 kernel mentes remaszterrel és 1 +zdrv és 1 vmlinuz-al lehetne lecserélni benne ...
A hozzászólást 1 alkalommal szerkesztették, utoljára KuLuSz 2018.06.04. 07:00-kor.
-<(].K.u.L.u.S.z.[)>-
---------------------------------------
Általában megtalálható vagyok az Angol irc csevegőn vagy a Discordon KuLuSz néven.

Avatar
Asterix
Hozzászólások: 443
Csatlakozott: 2015.07.11. 08:55

Re: LX7 Puppy

Hozzászólás Szerző: Asterix » 2018.06.04. 05:17

Üdv, Úraim!

Mind a 4 Úrnak igaza van! Sajna, mindig megakadt a dolog! 8-) Pedig a Precise 5.7.1-ből van pae verzió is!
"Lehet, hogy egyszerűbb egy új puppy-t "összedobni"........" Melyik lx7 programokkal lehetne a precise-ből lx7 -t "készíteni"?
A "nocsak" féle zdrv.sfs meg elég fura! Pedig a pae lenne a lényeg.Régi gép helyett meg :lol: inkább veszek még 8 GB memóriát!

Avatar
KuLuSz
Hozzászólások: 385
Csatlakozott: 2014.06.17. 21:19

Re: LX7 Puppy

Hozzászólás Szerző: KuLuSz » 2018.06.04. 06:48

Az eredeti lx7 a retro precise puppy 5421-ből készült . Semmilyen különösebb extra módosítás nem történt a rendszeren .
Módosítások listája :
- openbox csere pekwm-re
- pár pekwm téma készítése többek közt a win7 theme (alap konf)
- mélyreható magyarítás (init , .mo és szkriptek)
- wbar hozzáadva konfigolva
- gimp hozzáadva (magyar)
- wine hozzáadva
- java hozzáadva
- mu commander (lx7 v2 , java alapu)
- firefox 18 hozzáadva
- flash hozzáadva
- pidgin hozzáadva konfigolva
- transmission hozzáadva
- extra háttér képek
A rendszer a 2012-es újdonságokat tartalmazza , ezért lehetnek elavultak a programok benne . De én a mai napig használom böngésző és ffmpeg frissítéssel. Plusz a nocsak féle verzió amiket ő ott eszközölt változások . Az 5.4 és 5.7 verzió között 8 hónap különbség van, plusz azis hozzá tesz a dologhoz hogy az eredeti lx7 az lxpup szériából jött (11.12) . Nem tudom mennyiben különbözik az eredeti 5421-es rendszertől, gondolom az lxde felület megoldásaiban.
-<(].K.u.L.u.S.z.[)>-
---------------------------------------
Általában megtalálható vagyok az Angol irc csevegőn vagy a Discordon KuLuSz néven.

nocsak
Hozzászólások: 72
Csatlakozott: 2014.09.29. 15:01

Re: LX7 Puppy

Hozzászólás Szerző: nocsak » 2018.06.04. 10:33

Ha volnék abban a helyzetben, hogy dokumentáltam volna az összes olyan módosítást pótlást, telepítést, fordításból telepítést, linkeléseket a rendszeren ami megtörtént, de már nem emlékszem rájuk. Most írnék egy nagy listát róluk, verzió szerint függőségekkel együtt, vagy ha kizárólag ppm, akkor ott elég volna csak a csomag neve... de nem dokumentáltam. :(

Meg fogom kérni, ha másnem ezúttal Kuluszt, vagy inkább csak kérdezni, mennyiből állna írni egy programkilistázó szkriptet ami valamely módon meghatározná az lx7-ben az összes olyan csomagot ami programcsomag, még a függőség mellékes is mert ha ppm-ből pótolható akkor megoldja a ppm. De ami nem azt meg fordítani leendő puplethez. Ilyen az ffmpeg is vagy az openvpn csomag. Egy része ppm-ből mint függőség lett telepítve, de maga az openvpn az általam fordítással került az LX7-be. Vagy pedig összehasonlítani egy nagyon régi lx7 iso-val, amiben a wine már törölve volt, de még nincsenek benne az általam és a kulusz v2 verzió módosításai sem. Azt összehasonlíttatni a mostani iso-val és a deficit alapján meghatározni a szükséges programokat, linekeket, konfigokat stb mindent, majd listát róluk verzió szerint, így lehetőség volna minden pupletből LX7 szintűt varázsolni. Akár Bionic-ból is. A lényeg a programcsomag lista volna, amely minden módosítást részletesen tartalmazna. Ezzel mintegy LX7 térképpel, bárki tudna LX7 szintű pupletet varázsolni a meglévő pupletek bármelyikéből. A bökkenő mondjuk a magyar nyelv volna, de azt is csapatmunkával meg lehetne oldani. Funkciójában viszont ott volna az LX7 szintű puplet.

ticoo1
Hozzászólások: 239
Csatlakozott: 2014.10.21. 08:58

Re: LX7 Puppy

Hozzászólás Szerző: ticoo1 » 2018.06.08. 09:19

Helló "nocsak" !

Az LX7 elmélkedéseddel kapcsolatosan, a könnyebb összehasonlíthatóság végett, készítettem egy magyarított LxPupBionic-ot az utolsó változat alapján.

Ezen LxPupBionic huge kerneles, tehát könnyedén lehet a kernelt cserélni. Én a következőkkel próbáltam ki: K-3.14.56 No Pae, K-4.1.38 No Pae, K-4.1.11 Pae és K-4.9.96 Pae (ezzel raktam ki az ISO-t, az UBB_Pup 18.03 téma 2. oldalán van).

A felrakott ISO tartalmazza az eredeti fdrv....sfs-st is. De itt megjegyezném, hogy én csak azokat pakoltam be a rendszerbe, ami nekem fontos a gépeimhez, illetve az AMD-s rendszerekhez (külön készítettem egy fdrv-t, intel, amd). Az Inteles eszközökhöz a laptopom miatt tettem be.

Történetiség:
Semmit nem távolítottam el a Light böngészőn kívül (adrv...sfs)

Beépítve:
Apulse
Zarfy
VLC
GetFlash
Update Flash
Alumínium ikonkészlet
Gnome ALSA mixer
XFE
mtp_phone_connect
PaleMoon
PaleMoon installer/updater

Azt nem tudom, hogy "LX7 szintben gondolkodva" egyáltalán alkalmas-e valamire.

A "történetiség" végett én javaslom, hogy egy könyvtárba kellene "gyűjteni" az összes .pet, .sfs csomagot és a PPM segítségével telepítettek estében, dátumozva az aktuális (főleg remastersys előtti) .packages könyvtárat. Ha ezen könyvtárat folyamatosan elmentjük, akkor bármikor részletesen át lehet tekinteni, hogy a tárolókról mikor mit telepített a PPM és könnyen lehet korrigálni a későbbiek során. :roll:

nocsak
Hozzászólások: 72
Csatlakozott: 2014.09.29. 15:01

Re: LX7 Puppy

Hozzászólás Szerző: nocsak » 2018.06.08. 17:01

Szervusz ticoo1, mindenek előtt köszönöm, hogy írtál a témában és foglalkoztál a kérdéssel. Fordított sorrendben haladva válaszaim a következők:

A könyvtárba gyűjtéssel, valamint a .packages könyvtár mentéseivel tökéletesen egyetértek. Ha előbb vált volna számomra nyilvánvalóvá, hogy ez az út nem jó amin származtattam a remasztereket, akkor biztos dokumentáltam volna ha más nem manuálisan jegyzetelve, miket rakok bele. De akkor még nem voltam ennyire előre látó és képzett a puppy terén.

Teszteltem viszont a nevezett bionic lxpupletet, Intel GM965-ös gépen a vlc, valami pulseaudio portmap error-ral vagy egyáltalán nem adott hangot, vagy mp3 fájlok esetében elég furán játszotta le őket, (feltételezem öreg a hangkártya).
Teszteltem továbbá ugyanezen körülmények mellett egy Intel G41 Chipsetes gépen is, ott meg sajnos fagyott a rendszer. Hogy meggyőződjek róla, mp3 társítás, VLC, és fagyás volt úgyszintén az eredmény, gondolom a szintén elavult hangkártya miatt. Amúgy egyedül a kompatibilitási problémák miatt cserélt Q1900M-es lapon nem teszteltem még, azon lehet minden kerek volna, mert modernebb. De mióta kijött egy uefi frissítés a Spectre Meltdown problémát orvosolni, annyira lelassult, hogy nem foglalkoztam vele azóta, egy régebbi core2duo simán veri a j1900-at így. De alap kiindulásnak, jó ez a bionic lxpuplet, én köszönöm hogy fáradoztál vele!

Sőt még a fat32-t is jól kezelte :)

ticoo1
Hozzászólások: 239
Csatlakozott: 2014.10.21. 08:58

Re: LX7 Puppy

Hozzászólás Szerző: ticoo1 » 2018.06.08. 17:39

Sejtettem, hogy nem lesz valami OK :( , mert az Ubb 18.05+1-re épül és az pont multimédiás problémákkal van tele. Megpróbáltam javítani rajta, de ezek szerin csak az én gépeimen lett jó. Az Ubb 18.05+2 már rendben működik, de sajnos LX változata még nincs. Várni kellene amíg kijön a 18.05+2 LX és e változattal újrakezdeni a gondolkodást róla. A magyarítás az nem ügy. Mondjuk azt még meg kell oldani, hogy a JWM-ben ne jelenjenek meg az LX-es programok, az LX asztalnál ez megoldott, ott nincs JWM-s program a menüben (hacsak valamit nem hagytam benne :mrgreen: ).

ticoo1
Hozzászólások: 239
Csatlakozott: 2014.10.21. 08:58

Re: LX7 Puppy

Hozzászólás Szerző: ticoo1 » 2018.06.09. 06:23

Tettem fel ugyanoda egy K-4.1.11 Pae-s ISO-t is, mert az jobban illeszkedik a régebbi gépekhez. Lehet, hogy a lejátszási problémák megszűnnek vele. Nekem teljesen rendben működik, de hát ugye ez nem jelent semmit. :!:
https://drive.google.com/drive/folders/ ... dxwMya5eXD
Lehet, hogy K-3xxx kell Neked, de hát "huge"!

Válasz küldése

Vissza: “Pupletek”